
main = ScriptThread("AnimatedActions")

include("../../internal/extensions/CScriptThread.lua")
include("kmc_GUI.lua")
include("functions/AnimatedActionsTables.lua")
include("functions/AnimatedActions.lua")


function mainInit()
-------------------------------------------START OF CUSTOMIZATION ---------------------------------------------------
-- Menu Controls
	AnimatedActionsGUI.navButtons = {
	["menuOpen"]  = {["keys"] = {KEY_F10, KEY_NUMPAD7}, ["menu"] = "AnimatedActions"},
	["menuClose"] = {["keys"] = {}},
	["navUp"] 	  = {["keys"] = {KEY_NUMPAD8, KEY_UP}},
	["navDown"]   = {["keys"] = {KEY_NUMPAD2, KEY_DOWN}},
	["select"] 	  = {["keys"] = {KEY_NUMPAD5, KEY_RIGHT}},
	["navBack"]   = {["keys"] = {KEY_NUMPAD0, KEY_LEFT}}}
----------------------------------------------------------------------------------------------------------------------				
-- Action Controls (Repair, Refuel etc)
	RefuelStanceKey = VK_OEM_1       
	StopRefuelStanceKey = VK_OEM_7
	
	RepairStanceKey = VK_OEM_PERIOD
	VehicleRepairKey = KEY_R
	StopRepairStanceKey = VK_OEM_2
	
	CleaningVehicleStartKey = VK_OEM_4
	CleaningVehicleStopKey = VK_OEM_6
	
	SitGroundDownKey = VK_OEM_MINUS
	StandUpGroundKey = VK_OEM_PLUS
	
	SitBenchDownKey = KEY_Z
	StandUpBenchKey = KEY_X
-- USE THIS LINK TO CHANGE KEYS http://wiki.gtalua.com/index.php/KEY_Constants --

-------------------------------------------END OF CUSTOMIZATION ---------------------------------------------------

MainMenu = {}

	ply = natives.PLAYER.PLAYER_ID()
	plyPed = natives.PLAYER.PLAYER_PED_ID()
	veh = natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true)
	
	
-- Main menu options
---------------------------


function MainMenu.CloseMenu()
	AnimatedActionsGUI.setActiveMenu("")
end

function MainMenu.DoNothing()
end

function MainMenu.Kill()
	main:Kill()
	addon.Load("AnimatedActions")
end


	-- Animated Actions menu -- 
	AnimatedActionsGUI.createMenu("AnimatedActions", "", "~h~ANIMATED ACTIONS", 0.93, 0.04, 0.125, 0.0625, 0.005, 0.55, 1)
	AnimatedActionsGUI.addButton("AnimatedActions", "PLAYER", AnimatedActionsGUI.setActiveMenu, "Player", false, 0.45, 1)  -- Finished
	AnimatedActionsGUI.addButton("AnimatedActions", "VEHICLE", AnimatedActionsGUI.setActiveMenu, "Vehicle", false, 0.45, 1)  -- Finished
	AnimatedActionsGUI.addButton("AnimatedActions", "ALL", AnimatedActions.AllAnimsOn, nil, true, 0.45, 1)  -- Finished
	--AnimatedActionsGUI.addButton("AnimatedActions", "CLEAN", AnimatedActions.setActiveMenu, nil, false, 0.45, 1)  -- Finished
	--AnimatedActionsGUI.addButton("AnimatedActions", "REFUEL", AnimatedActions.setActiveMenu, nil, false, 0.45, 1)  -- Finished
	--AnimatedActionsGUI.addButton("VehicleOptions", "RENAMEME", AnimatedActionsRENAMEME, nil, false, 0.45, 1)  -- Finished
	--AnimatedActionsGUI.addButton("VehicleOptions", "RENAMEME", AnimatedActionsRENAMEME, nil, false, 0.45, 1)  -- Finished
	--AnimatedActionsGUI.addButton("VehicleOptions", "RENAMEME", AnimatedActionsRENAMEME, nil, false, 0.45, 1)  -- Finished
	--AnimatedActionsGUI.addButton("VehicleOptions", "RENAMEME", AnimatedActionsRENAMEME, nil, false, 0.45, 1)  -- Finished
	--AnimatedActionsGUI.addButton("VehicleOptions", "RENAMEME", AnimatedActionsRENAMEME, nil, false, 0.45, 1)  -- Finished
	
	
	AnimatedActionsGUI.createMenu("Vehicle", "AnimatedActions", "~h~VEHICLE ACTIONS", 0.93, 0.04, 0.125, 0.0625, 0.005, 0.55, 1)
	AnimatedActionsGUI.addButton("Vehicle", "REPAIR", AnimatedActions.RepairCar, nil, true, 0.45, 1)  -- Finished
	AnimatedActionsGUI.addButton("Vehicle", "CLEAN", AnimatedActions.CleanCar, nil, true, 0.45, 1)  -- Finished
	AnimatedActionsGUI.addButton("Vehicle", "REFUEL", AnimatedActions.RefuelCar, nil, true, 0.45, 1)  -- Finished
	
	AnimatedActionsGUI.createMenu("Player", "AnimatedActions", "~h~PLAYER ACTIONS", 0.93, 0.04, 0.125, 0.0625, 0.005, 0.55, 1)
	AnimatedActionsGUI.addButton("Player", "SIT GROUND", AnimatedActions.SitGround, nil, true, 0.45, 1)  -- Finished
	AnimatedActionsGUI.addButton("Player", "SIT BENCH", AnimatedActions.SitBench, nil, true, 0.45, 1)  -- Finished

end

function main:Run()
	-- ran once
	mainInit()
	AnimatedActions.init()


	
	natives.GAMEPLAY.GET_ONSCREEN_KEYBOARD_RESULT:AddCallLayout(")s")
	natives.VEHICLE.GET_VEHICLE_NUMBER_PLATE_TEXT:AddCallLayout("a)s")
	natives.GAMEPLAY.DISPLAY_ONSCREEN_KEYBOARD:AddCallLayout("bssssssi)v")
	natives.VEHICLE.SET_VEHICLE_NUMBER_PLATE_TEXT_INDEX:AddCallLayout("aa)v")
	
	-- ran until killed	 or crash
	while self:IsRunning() do

		--update plyped,ply,veh if character,vehicle was switched
		if(plyPed ~= natives.PLAYER.PLAYER_PED_ID()) then plyPed = natives.PLAYER.PLAYER_PED_ID() end
		if(ply ~= natives.PLAYER.PLAYER_ID()) then ply = natives.PLAYER.PLAYER_ID() end
		if(veh ~= natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true)) then veh = natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true) end
		
		AnimatedActionsGUI.tick()
		AnimatedActions.tick()

		self:Wait(0)
	end
end

function main:OnError()
	self:Kill()
	addon.Load("AnimatedActions")
end

main:Register()

	